Brivio API reference
Domains

Availability and retail price of <query>.<tld> for each TLD (default ro, com, eu, net, io). 503 when no registrar is configured (scope: domains:read)

GET
/domains/search

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

query*string

The label, without TLD

Match^[A-Za-z0-9-]+$
Length1 <= length <= 63
tlds?string

Comma-separated TLDs, at most 20, e.g. ro,com

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/domains/search?query=string"
{  "data": [    {      "domain": "string",      "available": true,      "premium": true,      "price_cents": 0,      "currency": "string"    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}